clang 8.0.0

Functions
ObjCAutoreleaseWriteChecker.cpp File Reference
`#include "clang/StaticAnalyzer/Checkers/BuiltinCheckerRegistration.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/StaticAnalyzer/Core/BugReporter/BugReporter.h"`
`#include "clang/StaticAnalyzer/Core/BugReporter/BugType.h"`
`#include "clang/StaticAnalyzer/Core/Checker.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/AnalysisManager.h"`
`#include "llvm/ADT/Twine.h"`
Include dependency graph for ObjCAutoreleaseWriteChecker.cpp:

Go to the source code of this file.

## Functions
static std::vector< llvm::StringRef > | toRefs (std::vector< std::string > V)
static auto | callsNames (std::vector< std::string > FunctionNames) -> decltype(callee(functionDecl()))
static void | emitDiagnostics (BoundNodes &Match, const Decl *D, BugReporter &BR, AnalysisManager &AM, const ObjCAutoreleaseWriteChecker *Checker)

## Function Documentation

## ◆ callsNames()

static auto callsNames | ( | std::vector< std::string > | FunctionNames | ) | -> decltype(callee(functionDecl()))
| static

Definition at line 104 of file ObjCAutoreleaseWriteChecker.cpp.

References clang::ast_matchers::functionDecl, clang::ast_matchers::hasAnyName, and toRefs().

## ◆ emitDiagnostics()

static void emitDiagnostics | ( | BoundNodes & | Match,
|  | const Decl * | D,
|  | BugReporter & | BR,
|  | AnalysisManager & | AM,
|  | const ObjCAutoreleaseWriteChecker * | Checker
| ) |  |
| static

Definition at line 109 of file ObjCAutoreleaseWriteChecker.cpp.

References clang::ento::PathDiagnosticLocation::createBegin(), clang::ast_matchers::BoundNodes::getNodeAs(), and clang::Qualifiers::OCL_Autoreleasing.

## ◆ toRefs()

static std::vector<llvm::StringRef> toRefs | ( | std::vector< std::string > | V | ) |
| inline static

Definition at line 100 of file ObjCAutoreleaseWriteChecker.cpp.

Referenced by callsNames().